/**
 * Created by andre on 2019-08-20
 */
Ext.define("demo.view.components.XssHardendFields", {
    extend: "Ext.Container",
    alias : "widget.demoXssHardendFields",
    
    layout: {
        type : "vbox",
        align: "stretch"
    },
    
    scrollable: true,
    
    items: [
        {
            xtype     : "textfield",
            fieldLabel: "Default Textfield"
        },
        {
            xtype     : "bpcTextField",
            fieldLabel: "BPC Textfield"
        },
        {
            xtype     : "textarea",
            fieldLabel: "Default Textarea"
        },
        {
            xtype     : "bpcTextArea",
            fieldLabel: "BPC Textarea"
        },
        {
            xtype     : "datefield",
            fieldLabel: "Default Datefield"
        },
        {
            xtype     : "bpcDateField",
            fieldLabel: "BPC Datefield"
        },
        {
            xtype       : "combobox",
            fieldLabel  : "Default Combobox",
            queryMode   : "local",
            displayField: "name",
            valueField  : "abbr",
            store       : [
                {
                    abbr: "AL",
                    name: "<b>fett</b>"
                },
                {
                    abbr: "AK",
                    name: "<i>Alaska</i>"
                },
                {
                    abbr: "AZ",
                    name: "&lt;b&gt;fettEscaped&lt;/b&gt;"
                }
            ]
        },
        {
            xtype       : "bpcComboBox",
            fieldLabel  : "BPC Combobox",
            queryMode   : "local",
            displayField: "name",
            valueField  : "abbr",
            store       : [
                {
                    abbr: "AL",
                    name: "<b>fett</b>"
                },
                {
                    abbr: "AK",
                    name: "<i>Alaska</i>"
                },
                {
                    abbr: "AZ",
                    name: "&lt;b&gt;fettEscaped&lt;/b&gt;"
                }
            ]
        }
    ]
    
});